import { EntityContainerSchema } from '@isa/common/data-access';
import { z } from 'zod';
import { PayerSchema } from './payer.schema';

export const AssignedPayerSchema = z.object({
  assignedToCustomer: z.string().describe('Assigned to customer').optional(),
  isDefault: z.string().describe('Whether this is the default').optional(),
  payer: EntityContainerSchema(PayerSchema).describe('Payer information').optional(),
});

export type AssignedPayer = z.infer<typeof AssignedPayerSchema>;
